Imported Upstream version 1.45.3
[platform/upstream/gobject-introspection.git] / tests / scanner / annotationparser / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # -*- Mode: make -*-
18 # Copyright 2009-2010 Johan Dahlin
19 #
20 # This file defines variables that are compatible with
21 # Makefile.introspection, but for use within the gobject-introspection
22 # module itself.
23 #
24 VPATH = @srcdir@
25 am__is_gnu_make = { \
26   if test -z '$(MAKELEVEL)'; then \
27     false; \
28   elif test -n '$(MAKE_HOST)'; then \
29     true; \
30   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
31     true; \
32   else \
33     false; \
34   fi; \
35 }
36 am__make_running_with_option = \
37   case $${target_option-} in \
38       ?) ;; \
39       *) echo "am__make_running_with_option: internal error: invalid" \
40               "target option '$${target_option-}' specified" >&2; \
41          exit 1;; \
42   esac; \
43   has_opt=no; \
44   sane_makeflags=$$MAKEFLAGS; \
45   if $(am__is_gnu_make); then \
46     sane_makeflags=$$MFLAGS; \
47   else \
48     case $$MAKEFLAGS in \
49       *\\[\ \   ]*) \
50         bs=\\; \
51         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
52           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
53     esac; \
54   fi; \
55   skip_next=no; \
56   strip_trailopt () \
57   { \
58     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
59   }; \
60   for flg in $$sane_makeflags; do \
61     test $$skip_next = yes && { skip_next=no; continue; }; \
62     case $$flg in \
63       *=*|--*) continue;; \
64         -*I) strip_trailopt 'I'; skip_next=yes;; \
65       -*I?*) strip_trailopt 'I';; \
66         -*O) strip_trailopt 'O'; skip_next=yes;; \
67       -*O?*) strip_trailopt 'O';; \
68         -*l) strip_trailopt 'l'; skip_next=yes;; \
69       -*l?*) strip_trailopt 'l';; \
70       -[dEDm]) skip_next=yes;; \
71       -[JT]) skip_next=yes;; \
72     esac; \
73     case $$flg in \
74       *$$target_option*) has_opt=yes; break;; \
75     esac; \
76   done; \
77   test $$has_opt = yes
78 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
79 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
80 pkgdatadir = $(datadir)/@PACKAGE@
81 pkgincludedir = $(includedir)/@PACKAGE@
82 pkglibdir = $(libdir)/@PACKAGE@
83 pkglibexecdir = $(libexecdir)/@PACKAGE@
84 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85 install_sh_DATA = $(install_sh) -c -m 644
86 install_sh_PROGRAM = $(install_sh) -c
87 install_sh_SCRIPT = $(install_sh) -c
88 INSTALL_HEADER = $(INSTALL_DATA)
89 transform = $(program_transform_name)
90 NORMAL_INSTALL = :
91 PRE_INSTALL = :
92 POST_INSTALL = :
93 NORMAL_UNINSTALL = :
94 PRE_UNINSTALL = :
95 POST_UNINSTALL = :
96 build_triplet = @build@
97 host_triplet = @host@
98 subdir = tests/scanner/annotationparser
99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
101         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
102         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
103         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
104         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
108 mkinstalldirs = $(install_sh) -d
109 CONFIG_HEADER = $(top_builddir)/config.h
110 CONFIG_CLEAN_FILES =
111 CONFIG_CLEAN_VPATH_FILES =
112 AM_V_P = $(am__v_P_@AM_V@)
113 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
114 am__v_P_0 = false
115 am__v_P_1 = :
116 AM_V_GEN = $(am__v_GEN_@AM_V@)
117 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
118 am__v_GEN_0 = @echo "  GEN     " $@;
119 am__v_GEN_1 = 
120 AM_V_at = $(am__v_at_@AM_V@)
121 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
122 am__v_at_0 = @
123 am__v_at_1 = 
124 SOURCES =
125 DIST_SOURCES =
126 am__can_run_installinfo = \
127   case $$AM_UPDATE_INFO_DIR in \
128     n|no|NO) false;; \
129     *) (install-info --version) >/dev/null 2>&1;; \
130   esac
131 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
132 am__tty_colors_dummy = \
133   mgn= red= grn= lgn= blu= brg= std=; \
134   am__color_tests=no
135 am__tty_colors = { \
136   $(am__tty_colors_dummy); \
137   if test "X$(AM_COLOR_TESTS)" = Xno; then \
138     am__color_tests=no; \
139   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
140     am__color_tests=yes; \
141   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
142     am__color_tests=yes; \
143   fi; \
144   if test $$am__color_tests = yes; then \
145     red='\e[0;31m'; \
146     grn='\e[0;32m'; \
147     lgn='\e[1;32m'; \
148     blu='\e[1;34m'; \
149     mgn='\e[0;35m'; \
150     brg='\e[1m'; \
151     std='\e[m'; \
152   fi; \
153 }
154 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
155 am__vpath_adj = case $$p in \
156     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
157     *) f=$$p;; \
158   esac;
159 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
160 am__install_max = 40
161 am__nobase_strip_setup = \
162   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
163 am__nobase_strip = \
164   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
165 am__nobase_list = $(am__nobase_strip_setup); \
166   for p in $$list; do echo "$$p $$p"; done | \
167   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
168   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
169     if (++n[$$2] == $(am__install_max)) \
170       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
171     END { for (dir in files) print dir, files[dir] }'
172 am__base_list = \
173   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
174   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
175 am__uninstall_files_from_dir = { \
176   test -z "$$files" \
177     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
178     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
179          $(am__cd) "$$dir" && rm -f $$files; }; \
180   }
181 am__recheck_rx = ^[     ]*:recheck:[    ]*
182 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
183 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
184 # A command that, given a newline-separated list of test names on the
185 # standard input, print the name of the tests that are to be re-run
186 # upon "make recheck".
187 am__list_recheck_tests = $(AWK) '{ \
188   recheck = 1; \
189   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
190     { \
191       if (rc < 0) \
192         { \
193           if ((getline line2 < ($$0 ".log")) < 0) \
194             recheck = 0; \
195           break; \
196         } \
197       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
198         { \
199           recheck = 0; \
200           break; \
201         } \
202       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
203         { \
204           break; \
205         } \
206     }; \
207   if (recheck) \
208     print $$0; \
209   close ($$0 ".trs"); \
210   close ($$0 ".log"); \
211 }'
212 # A command that, given a newline-separated list of test names on the
213 # standard input, create the global log from their .trs and .log files.
214 am__create_global_log = $(AWK) ' \
215 function fatal(msg) \
216 { \
217   print "fatal: making $@: " msg | "cat >&2"; \
218   exit 1; \
219 } \
220 function rst_section(header) \
221 { \
222   print header; \
223   len = length(header); \
224   for (i = 1; i <= len; i = i + 1) \
225     printf "="; \
226   printf "\n\n"; \
227 } \
228 { \
229   copy_in_global_log = 1; \
230   global_test_result = "RUN"; \
231   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
232     { \
233       if (rc < 0) \
234          fatal("failed to read from " $$0 ".trs"); \
235       if (line ~ /$(am__global_test_result_rx)/) \
236         { \
237           sub("$(am__global_test_result_rx)", "", line); \
238           sub("[        ]*$$", "", line); \
239           global_test_result = line; \
240         } \
241       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
242         copy_in_global_log = 0; \
243     }; \
244   if (copy_in_global_log) \
245     { \
246       rst_section(global_test_result ": " $$0); \
247       while ((rc = (getline line < ($$0 ".log"))) != 0) \
248       { \
249         if (rc < 0) \
250           fatal("failed to read from " $$0 ".log"); \
251         print line; \
252       }; \
253       printf "\n"; \
254     }; \
255   close ($$0 ".trs"); \
256   close ($$0 ".log"); \
257 }'
258 # Restructured Text title.
259 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
260 # Solaris 10 'make', and several other traditional 'make' implementations,
261 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
262 # by disabling -e (using the XSI extension "set +e") if it's set.
263 am__sh_e_setup = case $$- in *e*) set +e;; esac
264 # Default flags passed to test drivers.
265 am__common_driver_flags = \
266   --color-tests "$$am__color_tests" \
267   --enable-hard-errors "$$am__enable_hard_errors" \
268   --expect-failure "$$am__expect_failure"
269 # To be inserted before the command running the test.  Creates the
270 # directory for the log if needed.  Stores in $dir the directory
271 # containing $f, in $tst the test, in $log the log.  Executes the
272 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
273 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
274 # will run the test scripts (or their associated LOG_COMPILER, if
275 # thy have one).
276 am__check_pre = \
277 $(am__sh_e_setup);                                      \
278 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
279 $(am__tty_colors);                                      \
280 srcdir=$(srcdir); export srcdir;                        \
281 case "$@" in                                            \
282   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
283     *) am__odir=.;;                                     \
284 esac;                                                   \
285 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
286   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
287 if test -f "./$$f"; then dir=./;                        \
288 elif test -f "$$f"; then dir=;                          \
289 else dir="$(srcdir)/"; fi;                              \
290 tst=$$dir$$f; log='$@';                                 \
291 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
292   am__enable_hard_errors=no;                            \
293 else                                                    \
294   am__enable_hard_errors=yes;                           \
295 fi;                                                     \
296 case " $(XFAIL_TESTS) " in                              \
297   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
298     am__expect_failure=yes;;                            \
299   *)                                                    \
300     am__expect_failure=no;;                             \
301 esac;                                                   \
302 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
303 # A shell command to get the names of the tests scripts with any registered
304 # extension removed (i.e., equivalently, the names of the test logs, with
305 # the '.log' extension removed).  The result is saved in the shell variable
306 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
307 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
308 # since that might cause problem with VPATH rewrites for suffix-less tests.
309 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
310 am__set_TESTS_bases = \
311   bases='$(TEST_LOGS)'; \
312   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
313   bases=`echo $$bases`
314 RECHECK_LOGS = $(TEST_LOGS)
315 AM_RECURSIVE_TARGETS = check recheck
316 TEST_SUITE_LOG = test-suite.log
317 TEST_EXTENSIONS = @EXEEXT@ .test
318 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
319 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
320 am__set_b = \
321   case '$@' in \
322     */*) \
323       case '$*' in \
324         */*) b='$*';; \
325           *) b=`echo '$@' | sed 's/\.log$$//'`; \
326        esac;; \
327     *) \
328       b='$*';; \
329   esac
330 am__test_logs1 = $(TESTS:=.log)
331 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
332 TEST_LOGS = $(am__test_logs2:.test.log=.log)
333 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
334 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
335         $(TEST_LOG_FLAGS)
336 am__DIST_COMMON = $(srcdir)/Makefile.in \
337         $(top_srcdir)/build-aux/test-driver $(top_srcdir)/common.mk \
338         README
339 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
340 ACLOCAL = @ACLOCAL@
341 AMTAR = @AMTAR@
342 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
343 AR = @AR@
344 AUTOCONF = @AUTOCONF@
345 AUTOHEADER = @AUTOHEADER@
346 AUTOMAKE = @AUTOMAKE@
347 AWK = @AWK@
348 CAIRO_CFLAGS = @CAIRO_CFLAGS@
349 CAIRO_GIR_PACKAGE = @CAIRO_GIR_PACKAGE@
350 CAIRO_LIBS = @CAIRO_LIBS@
351 CAIRO_SHARED_LIBRARY = @CAIRO_SHARED_LIBRARY@
352 CC = @CC@
353 CCDEPMODE = @CCDEPMODE@
354 CFLAGS = @CFLAGS@
355 CPP = @CPP@
356 CPPFLAGS = @CPPFLAGS@
357 CYGPATH_W = @CYGPATH_W@
358 DEFS = @DEFS@
359 DEPDIR = @DEPDIR@
360 DLLTOOL = @DLLTOOL@
361 DSYMUTIL = @DSYMUTIL@
362 DUMPBIN = @DUMPBIN@
363 ECHO_C = @ECHO_C@
364 ECHO_N = @ECHO_N@
365 ECHO_T = @ECHO_T@
366 EGREP = @EGREP@
367 EXEEXT = @EXEEXT@
368 EXPANDED_BINDIR = @EXPANDED_BINDIR@
369 EXPANDED_DATADIR = @EXPANDED_DATADIR@
370 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
371 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
372 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
373 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
374 EXTRA_LINK_FLAGS = @EXTRA_LINK_FLAGS@
375 FFI_CFLAGS = @FFI_CFLAGS@
376 FFI_LIBS = @FFI_LIBS@
377 FFI_PC_CFLAGS = @FFI_PC_CFLAGS@
378 FFI_PC_LIBS = @FFI_PC_LIBS@
379 FFI_PC_PACKAGES = @FFI_PC_PACKAGES@
380 FGREP = @FGREP@
381 GIO_CFLAGS = @GIO_CFLAGS@
382 GIO_LIBS = @GIO_LIBS@
383 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
384 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
385 GIREPO_CFLAGS = @GIREPO_CFLAGS@
386 GIREPO_LIBS = @GIREPO_LIBS@
387 GIR_DIR = @GIR_DIR@
388 GIR_SUFFIX = @GIR_SUFFIX@
389 GI_HIDDEN_VISIBILITY_CFLAGS = @GI_HIDDEN_VISIBILITY_CFLAGS@
390 GI_VERSION = @GI_VERSION@
391 GLIBSRC = @GLIBSRC@
392 GLIB_CFLAGS = @GLIB_CFLAGS@
393 GLIB_LIBS = @GLIB_LIBS@
394 GMODULE_CFLAGS = @GMODULE_CFLAGS@
395 GMODULE_LIBS = @GMODULE_LIBS@
396 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
397 GOBJECT_INTROSPECTION_LIBDIR = @GOBJECT_INTROSPECTION_LIBDIR@
398 GOBJECT_LIBS = @GOBJECT_LIBS@
399 GREP = @GREP@
400 GTKDOC_CHECK = @GTKDOC_CHECK@
401 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
402 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
403 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
404 GTKDOC_MKPDF = @GTKDOC_MKPDF@
405 GTKDOC_REBASE = @GTKDOC_REBASE@
406 HTML_DIR = @HTML_DIR@
407 INSTALL = @INSTALL@
408 INSTALL_DATA = @INSTALL_DATA@
409 INSTALL_PROGRAM = @INSTALL_PROGRAM@
410 INSTALL_SCRIPT = @INSTALL_SCRIPT@
411 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
412 LD = @LD@
413 LDFLAGS = @LDFLAGS@
414 LEX = @LEX@
415 LEXLIB = @LEXLIB@
416 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
417 LIBOBJS = @LIBOBJS@
418 LIBS = @LIBS@
419 LIBTOOL = @LIBTOOL@
420 LIPO = @LIPO@
421 LN_S = @LN_S@
422 LTLIBOBJS = @LTLIBOBJS@
423 MAINT = @MAINT@
424 MAKEINFO = @MAKEINFO@
425 MANIFEST_TOOL = @MANIFEST_TOOL@
426 MKDIR_P = @MKDIR_P@
427 NM = @NM@
428 NMEDIT = @NMEDIT@
429 OBJDUMP = @OBJDUMP@
430 OBJEXT = @OBJEXT@
431 OTOOL = @OTOOL@
432 OTOOL64 = @OTOOL64@
433 PACKAGE = @PACKAGE@
434 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
435 PACKAGE_NAME = @PACKAGE_NAME@
436 PACKAGE_STRING = @PACKAGE_STRING@
437 PACKAGE_TARNAME = @PACKAGE_TARNAME@
438 PACKAGE_URL = @PACKAGE_URL@
439 PACKAGE_VERSION = @PACKAGE_VERSION@
440 PATH_SEPARATOR = @PATH_SEPARATOR@
441 PKG_CONFIG = @PKG_CONFIG@
442 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
443 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
444 POW_LIB = @POW_LIB@
445 PYTHON = @PYTHON@
446 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
447 PYTHON_INCLUDES = @PYTHON_INCLUDES@
448 PYTHON_LIBS = @PYTHON_LIBS@
449 PYTHON_PLATFORM = @PYTHON_PLATFORM@
450 PYTHON_PREFIX = @PYTHON_PREFIX@
451 PYTHON_VERSION = @PYTHON_VERSION@
452 RANLIB = @RANLIB@
453 SCANNER_CFLAGS = @SCANNER_CFLAGS@
454 SCANNER_LIBS = @SCANNER_LIBS@
455 SED = @SED@
456 SET_MAKE = @SET_MAKE@
457 SHELL = @SHELL@
458 STRIP = @STRIP@
459 VERSION = @VERSION@
460 YACC = @YACC@
461 abs_builddir = @abs_builddir@
462 abs_srcdir = @abs_srcdir@
463 abs_top_builddir = @abs_top_builddir@
464 abs_top_srcdir = @abs_top_srcdir@
465 ac_ct_AR = @ac_ct_AR@
466 ac_ct_CC = @ac_ct_CC@
467 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
468 am__include = @am__include@
469 am__leading_dot = @am__leading_dot@
470 am__quote = @am__quote@
471 am__tar = @am__tar@
472 am__untar = @am__untar@
473 bindir = @bindir@
474 build = @build@
475 build_alias = @build_alias@
476 build_cpu = @build_cpu@
477 build_os = @build_os@
478 build_vendor = @build_vendor@
479 builddir = @builddir@
480 datadir = @datadir@
481 datarootdir = @datarootdir@
482 docdir = @docdir@
483 dvidir = @dvidir@
484 exec_prefix = @exec_prefix@
485 host = @host@
486 host_alias = @host_alias@
487 host_cpu = @host_cpu@
488 host_os = @host_os@
489 host_vendor = @host_vendor@
490 htmldir = @htmldir@
491 includedir = @includedir@
492 infodir = @infodir@
493 install_sh = @install_sh@
494 libdir = @libdir@
495 libexecdir = @libexecdir@
496 localedir = @localedir@
497 localstatedir = @localstatedir@
498 mandir = @mandir@
499 mkdir_p = @mkdir_p@
500 oldincludedir = @oldincludedir@
501 pdfdir = @pdfdir@
502 pkgpyexecdir = @pkgpyexecdir@
503 pkgpythondir = @pkgpythondir@
504 prefix = @prefix@
505 program_transform_name = @program_transform_name@
506 psdir = @psdir@
507 pyexecdir = @pyexecdir@
508 pythondir = @pythondir@
509 sbindir = @sbindir@
510 sharedstatedir = @sharedstatedir@
511 srcdir = @srcdir@
512 sysconfdir = @sysconfdir@
513 target_alias = @target_alias@
514 top_build_prefix = @top_build_prefix@
515 top_builddir = @top_builddir@
516 top_srcdir = @top_srcdir@
517 INTROSPECTION_SCANNER = \
518     env PATH=".libs:$(PATH)" \
519         LPATH=.libs \
520         CC="$(CC)" \
521         PYTHONPATH=$(top_builddir):$(top_srcdir) \
522         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
523         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
524         $(top_builddir)/g-ir-scanner
525
526 INTROSPECTION_SCANNER_ARGS = \
527     --verbose \
528     -I$(top_srcdir) \
529     --add-include-path=$(srcdir) \
530     --add-include-path=$(top_srcdir)/gir \
531     --add-include-path=$(builddir) \
532     --add-include-path=$(top_builddir) \
533     --add-include-path=$(top_builddir)/gir
534
535 INTROSPECTION_COMPILER = \
536     env PATH=".libs:$(PATH)" \
537         $(top_builddir)/g-ir-compiler$(EXEEXT)
538
539 INTROSPECTION_COMPILER_ARGS = \
540     --includedir=$(srcdir) \
541     --includedir=$(top_srcdir)/gir \
542     --includedir=$(builddir) \
543     --includedir=$(top_builddir) \
544     --includedir=$(top_builddir)/gir
545
546 INTROSPECTION_DOCTOOL = \
547     env PATH=".libs:$(PATH)" \
548         LPATH=.libs \
549         PYTHONPATH=$(top_builddir):$(top_srcdir) \
550         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
551         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
552         $(top_builddir)/g-ir-doc-tool
553
554 INTROSPECTION_DOCTOOL_ARGS = \
555     --add-include-path=$(srcdir) \
556     --add-include-path=$(top_srcdir)/gir \
557     --add-include-path=$(builddir) \
558     --add-include-path=$(top_builddir) \
559     --add-include-path=$(top_builddir)/gir
560
561 TESTS = \
562         test_parser.py \
563         test_patterns.py
564
565 TESTS_ENVIRONMENT = env builddir=$(builddir) top_builddir=$(top_builddir) srcdir=$(srcdir) top_srcdir=$(top_srcdir) \
566         PYTHON=$(PYTHON) UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir)
567
568 LOG_COMPILER = $(top_srcdir)/tests/gi-tester
569 EXTRA_DIST = \
570         $(TESTS)                                \
571         README                                  \
572         tests.xsd                               \
573         gi/annotation_allow_none.xml            \
574         gi/annotation_array.xml         \
575         gi/annotation_attributes.xml            \
576         gi/annotation_closure.xml               \
577         gi/annotation_constructor.xml           \
578         gi/annotation_destroy.xml               \
579         gi/annotation_element_type.xml          \
580         gi/annotation_foreign.xml               \
581         gi/annotation_get_value_func.xml        \
582         gi/annotation_in.xml                    \
583         gi/annotation_in_out.xml                \
584         gi/annotation_method.xml                \
585         gi/annotation_out.xml                   \
586         gi/annotation_ref_func.xml              \
587         gi/annotation_rename_to.xml             \
588         gi/annotation_scope.xml         \
589         gi/annotation_set_value_func.xml        \
590         gi/annotation_skip.xml                  \
591         gi/annotation_transfer.xml              \
592         gi/annotation_type.xml                  \
593         gi/annotation_unref_func.xml            \
594         gi/annotation_value.xml         \
595         gi/annotation_virtual.xml               \
596         gi/annotations.xml                      \
597         gi/identifier.xml                       \
598         gi/identifier_section.xml               \
599         gi/identifier_symbol.xml                \
600         gi/parameter.xml                        \
601         gi/parameter_varargs.xml                \
602         gi/syntax.xml                           \
603         gi/syntax_indentation.xml               \
604         gi/syntax_multiline_annotations.xml     \
605         gi/syntax_nested_tags.xml               \
606         gi/syntax_paragraph_breaks.xml          \
607         gi/syntax_whitespace.xml                \
608         gi/tag.xml                              \
609         gi/tag_deprecated.xml                   \
610         gi/tag_description.xml                  \
611         gi/tag_returns.xml                      \
612         gi/tag_since.xml                        \
613         gi/tag_stability.xml                    \
614         gtkdoc/gobject/gtypes.h.xml             \
615         gtkdoc/gobject/gtypes.c.xml             \
616         gtkdoc/gobject/giface.h.xml             \
617         gtkdoc/gobject/giface.c.xml             \
618         gtkdoc/fail/tester.h.xml                \
619         gtkdoc/fail/tester.c.xml                \
620         gtkdoc/empty/tester.c.xml               \
621         gtkdoc/bugs/tester.h.xml                \
622         gtkdoc/bugs/tester.c.xml                \
623         gtkdoc/annotations/tester.h.xml \
624         gtkdoc/annotations/tester.c.xml \
625         gtkdoc/gobject/gobject.h.xml            \
626         gtkdoc/gobject/gobject.c.xml
627
628 all: all-am
629
630 .SUFFIXES:
631 .SUFFIXES: .log .test .test$(EXEEXT) .trs
632 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/common.mk $(am__configure_deps)
633         @for dep in $?; do \
634           case '$(am__configure_deps)' in \
635             *$$dep*) \
636               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
637                 && { if test -f $@; then exit 0; else break; fi; }; \
638               exit 1;; \
639           esac; \
640         done; \
641         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/scanner/annotationparser/Makefile'; \
642         $(am__cd) $(top_srcdir) && \
643           $(AUTOMAKE) --foreign tests/scanner/annotationparser/Makefile
644 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
645         @case '$?' in \
646           *config.status*) \
647             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
648           *) \
649             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
650             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
651         esac;
652 $(top_srcdir)/common.mk $(am__empty):
653
654 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
655         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
656
657 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
658         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
659 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
660         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
661 $(am__aclocal_m4_deps):
662
663 mostlyclean-libtool:
664         -rm -f *.lo
665
666 clean-libtool:
667         -rm -rf .libs _libs
668 tags TAGS:
669
670 ctags CTAGS:
671
672 cscope cscopelist:
673
674
675 # Recover from deleted '.trs' file; this should ensure that
676 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
677 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
678 # to avoid problems with "make -n".
679 .log.trs:
680         rm -f $< $@
681         $(MAKE) $(AM_MAKEFLAGS) $<
682
683 # Leading 'am--fnord' is there to ensure the list of targets does not
684 # expand to empty, as could happen e.g. with make check TESTS=''.
685 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
686 am--force-recheck:
687         @:
688
689 $(TEST_SUITE_LOG): $(TEST_LOGS)
690         @$(am__set_TESTS_bases); \
691         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
692         redo_bases=`for i in $$bases; do \
693                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
694                     done`; \
695         if test -n "$$redo_bases"; then \
696           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
697           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
698           if $(am__make_dryrun); then :; else \
699             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
700           fi; \
701         fi; \
702         if test -n "$$am__remaking_logs"; then \
703           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
704                "recursion detected" >&2; \
705         elif test -n "$$redo_logs"; then \
706           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
707         fi; \
708         if $(am__make_dryrun); then :; else \
709           st=0;  \
710           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
711           for i in $$redo_bases; do \
712             test -f $$i.trs && test -r $$i.trs \
713               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
714             test -f $$i.log && test -r $$i.log \
715               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
716           done; \
717           test $$st -eq 0 || exit 1; \
718         fi
719         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
720         ws='[   ]'; \
721         results=`for b in $$bases; do echo $$b.trs; done`; \
722         test -n "$$results" || results=/dev/null; \
723         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
724         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
725         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
726         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
727         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
728         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
729         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
730         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
731           success=true; \
732         else \
733           success=false; \
734         fi; \
735         br='==================='; br=$$br$$br$$br$$br; \
736         result_count () \
737         { \
738             if test x"$$1" = x"--maybe-color"; then \
739               maybe_colorize=yes; \
740             elif test x"$$1" = x"--no-color"; then \
741               maybe_colorize=no; \
742             else \
743               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
744             fi; \
745             shift; \
746             desc=$$1 count=$$2; \
747             if test $$maybe_colorize = yes && test $$count -gt 0; then \
748               color_start=$$3 color_end=$$std; \
749             else \
750               color_start= color_end=; \
751             fi; \
752             echo "$${color_start}# $$desc $$count$${color_end}"; \
753         }; \
754         create_testsuite_report () \
755         { \
756           result_count $$1 "TOTAL:" $$all   "$$brg"; \
757           result_count $$1 "PASS: " $$pass  "$$grn"; \
758           result_count $$1 "SKIP: " $$skip  "$$blu"; \
759           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
760           result_count $$1 "FAIL: " $$fail  "$$red"; \
761           result_count $$1 "XPASS:" $$xpass "$$red"; \
762           result_count $$1 "ERROR:" $$error "$$mgn"; \
763         }; \
764         {                                                               \
765           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
766             $(am__rst_title);                                           \
767           create_testsuite_report --no-color;                           \
768           echo;                                                         \
769           echo ".. contents:: :depth: 2";                               \
770           echo;                                                         \
771           for b in $$bases; do echo $$b; done                           \
772             | $(am__create_global_log);                                 \
773         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
774         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
775         if $$success; then                                              \
776           col="$$grn";                                                  \
777          else                                                           \
778           col="$$red";                                                  \
779           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
780         fi;                                                             \
781         echo "$${col}$$br$${std}";                                      \
782         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
783         echo "$${col}$$br$${std}";                                      \
784         create_testsuite_report --maybe-color;                          \
785         echo "$$col$$br$$std";                                          \
786         if $$success; then :; else                                      \
787           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
788           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
789             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
790           fi;                                                           \
791           echo "$$col$$br$$std";                                        \
792         fi;                                                             \
793         $$success || exit 1
794
795 check-TESTS:
796         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
797         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
798         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
799         @set +e; $(am__set_TESTS_bases); \
800         log_list=`for i in $$bases; do echo $$i.log; done`; \
801         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
802         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
803         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
804         exit $$?;
805 recheck: all 
806         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
807         @set +e; $(am__set_TESTS_bases); \
808         bases=`for i in $$bases; do echo $$i; done \
809                  | $(am__list_recheck_tests)` || exit 1; \
810         log_list=`for i in $$bases; do echo $$i.log; done`; \
811         log_list=`echo $$log_list`; \
812         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
813                 am__force_recheck=am--force-recheck \
814                 TEST_LOGS="$$log_list"; \
815         exit $$?
816 test_parser.py.log: test_parser.py
817         @p='test_parser.py'; \
818         b='test_parser.py'; \
819         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
820         --log-file $$b.log --trs-file $$b.trs \
821         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
822         "$$tst" $(AM_TESTS_FD_REDIRECT)
823 test_patterns.py.log: test_patterns.py
824         @p='test_patterns.py'; \
825         b='test_patterns.py'; \
826         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
827         --log-file $$b.log --trs-file $$b.trs \
828         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
829         "$$tst" $(AM_TESTS_FD_REDIRECT)
830 .test.log:
831         @p='$<'; \
832         $(am__set_b); \
833         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
834         --log-file $$b.log --trs-file $$b.trs \
835         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
836         "$$tst" $(AM_TESTS_FD_REDIRECT)
837 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
838 @am__EXEEXT_TRUE@       @p='$<'; \
839 @am__EXEEXT_TRUE@       $(am__set_b); \
840 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
841 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
842 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
843 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
844
845 distdir: $(DISTFILES)
846         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
847         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
848         list='$(DISTFILES)'; \
849           dist_files=`for file in $$list; do echo $$file; done | \
850           sed -e "s|^$$srcdirstrip/||;t" \
851               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
852         case $$dist_files in \
853           */*) $(MKDIR_P) `echo "$$dist_files" | \
854                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
855                            sort -u` ;; \
856         esac; \
857         for file in $$dist_files; do \
858           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
859           if test -d $$d/$$file; then \
860             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
861             if test -d "$(distdir)/$$file"; then \
862               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
863             fi; \
864             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
865               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
866               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
867             fi; \
868             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
869           else \
870             test -f "$(distdir)/$$file" \
871             || cp -p $$d/$$file "$(distdir)/$$file" \
872             || exit 1; \
873           fi; \
874         done
875 check-am: all-am
876         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
877 check: check-am
878 all-am: Makefile
879 installdirs:
880 install: install-am
881 install-exec: install-exec-am
882 install-data: install-data-am
883 uninstall: uninstall-am
884
885 install-am: all-am
886         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
887
888 installcheck: installcheck-am
889 install-strip:
890         if test -z '$(STRIP)'; then \
891           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
892             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
893               install; \
894         else \
895           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
896             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
897             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
898         fi
899 mostlyclean-generic:
900         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
901         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
902         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
903
904 clean-generic:
905
906 distclean-generic:
907         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
908         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
909
910 maintainer-clean-generic:
911         @echo "This command is intended for maintainers to use"
912         @echo "it deletes files that may require special tools to rebuild."
913 clean: clean-am
914
915 clean-am: clean-generic clean-libtool mostlyclean-am
916
917 distclean: distclean-am
918         -rm -f Makefile
919 distclean-am: clean-am distclean-generic
920
921 dvi: dvi-am
922
923 dvi-am:
924
925 html: html-am
926
927 html-am:
928
929 info: info-am
930
931 info-am:
932
933 install-data-am:
934
935 install-dvi: install-dvi-am
936
937 install-dvi-am:
938
939 install-exec-am:
940
941 install-html: install-html-am
942
943 install-html-am:
944
945 install-info: install-info-am
946
947 install-info-am:
948
949 install-man:
950
951 install-pdf: install-pdf-am
952
953 install-pdf-am:
954
955 install-ps: install-ps-am
956
957 install-ps-am:
958
959 installcheck-am:
960
961 maintainer-clean: maintainer-clean-am
962         -rm -f Makefile
963 maintainer-clean-am: distclean-am maintainer-clean-generic
964
965 mostlyclean: mostlyclean-am
966
967 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
968
969 pdf: pdf-am
970
971 pdf-am:
972
973 ps: ps-am
974
975 ps-am:
976
977 uninstall-am:
978
979 .MAKE: check-am install-am install-strip
980
981 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
982         clean-libtool cscopelist-am ctags-am distclean \
983         distclean-generic distclean-libtool distdir dvi dvi-am html \
984         html-am info info-am install install-am install-data \
985         install-data-am install-dvi install-dvi-am install-exec \
986         install-exec-am install-html install-html-am install-info \
987         install-info-am install-man install-pdf install-pdf-am \
988         install-ps install-ps-am install-strip installcheck \
989         installcheck-am installdirs maintainer-clean \
990         maintainer-clean-generic mostlyclean mostlyclean-generic \
991         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
992         uninstall uninstall-am
993
994 .PRECIOUS: Makefile
995
996
997 # Tell versions [3.59,3.63) of GNU make to not export all variables.
998 # Otherwise a system limit (for SysV at least) may be exceeded.
999 .NOEXPORT: